%global eclipse_base        %{_libdir}/eclipse
%global install_loc         %{_datadir}/eclipse/dropins
# Taken from update site so we match upstream
#  http://download.eclipse.org/mylyn/archive/3.6.0/v20110608-1400/
%global qualifier           v20110608-1400

Name:          eclipse-mylyn-ide
Version:       3.6.0
Release:       %mkrel 1
Summary:       Mylyn Context Connector: Eclipse IDE
Group:         Development/Java
License:       EPL
URL:           http://www.eclipse.org/mylyn

# bash fetch-eclipse-mylyn-ide.sh
Source0:       eclipse-mylyn-ide-R_3_6_0-fetched-src.tar.bz2
Source1:       fetch-eclipse-mylyn-ide.sh

BuildArch:     noarch

BuildRequires: java-devel >= 1.5.0
BuildRequires: eclipse-platform >= 1:3.5.0
BuildRequires: eclipse-pde >= 1:3.5.0
BuildRequires: eclipse-mylyn >= 3.6.0
BuildRequires: eclipse-mylyn-context >= 3.6.0
BuildRequires: eclipse-mylyn-context-team >= 3.6.0

Requires:      eclipse-platform >= 1:3.5.0
Requires:      eclipse-mylyn >= 3.6.0
Requires:      eclipse-mylyn-context >= 3.6.0
Requires:      eclipse-mylyn-context-team >= 3.6.0
Obsoletes:     eclipse-mylyn-ide < %{version}-%{release}

%description
Mylyn Task-Focused UI extensions for the Eclipse IDE. 
Provides focusing of common IDE views and editors.

%prep
%setup -q -n eclipse-mylyn-ide-R_3_6_0-fetched-src

%build
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.mylyn.ide_feature \
 -a "-DjavacSource=1.5 -DjavacTarget=1.5 -DforceContextQualifier=%{qualifier} -DmylynQualifier=%{qualifier}" \
 -d "mylyn mylyn-context mylyn-context-team"

%install
install -d -m 755 %{buildroot}%{_datadir}/eclipse
install -d -m 755 %{buildroot}%{install_loc}/mylyn-ide

unzip -q -o -d %{buildroot}%{install_loc}/mylyn-ide \
 build/rpmBuild/org.eclipse.mylyn.ide_feature.zip

%files
%defattr(-,root,root,-)
%{install_loc}/mylyn-ide
%doc org.eclipse.mylyn.ide-feature/epl-v10.html
%doc org.eclipse.mylyn.ide-feature/license.html



%changelog

* Mon Nov 07 2011 gil <gil> 3.6.0-1.mga2
+ Revision: 164852
- imported package eclipse-mylyn-ide

